function validateSiteUser() {
	if (validateField('SB_Validator.notEmpty', 'name', 'EMPTY-USERNAME')
		&& validateField('SB_Validator.notEmpty', 'email', 'EMPTY-EMAIL')
		&& validateField('SB_Validator.isEmail', 'email', 'INCORRECT-EMAIL')
		&& (!isVisible(document.getElementById('rowPassword')) 
			|| validateField('SB_Validator.notEmpty', 'userPassword', 'EMPTY-PASSWORD'))
		&& (!isVisible(document.getElementById('rowPassword')) 
			|| validateField('SB_Validator.notEmpty', 'userConfirmPassword', 'EMPTY-CONFIRMPASSWORD'))
		&& (!isVisible(document.getElementById('rowPassword')) 
			|| extendedValidateField("SB_Validator.isEqual(document.getElementById('userPassword').value, document.getElementById('userConfirmPassword').value)", 'confirmPassword', 'PASSWORD-MISMATCH'))

//		&& validateField('SB_Validator.notEmpty', 'firstName', 'EMPTY-FIRSTNAME')
//		&& validateField('SB_Validator.notEmpty', 'lastName', 'EMPTY-LASTNAME')
//		&& validateField('SB_Validator.notEmpty', 'phoneNumber', 'EMPTY-PHONE')
		&& (document.getElementById('phoneNumber').value=='' || validateField('SB_Validator.isPhone', 'phoneNumber', 'INCORRECT-PHONE'))
//		&& validateField('SB_Validator.notEmpty', 'address1', 'EMPTY-ADDRESS')
//		&& validateField('SB_Validator.notEmpty', 'country', 'EMPTY-COUNTRY')
//		&& validateField('SB_Validator.notEmpty', 'zip', 'EMPTY-ZIP')

	) {
		return true;
	} else {
		return false;
	}
}