<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="OBJECT[@TYPE='SITE-USER']" mode="content">
		<xsl:call-template name="SITE-USER-FIELDS"/>
	</xsl:template>
	
	<xsl:template name="PASSWORD-FORM">	
		<tr id="rowPassword">
			<td class="title-block">
				<xsl:apply-templates select="CONTROL[@NAME='userPassword']" mode="label">
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="type">password</xsl:with-param>
				</xsl:apply-templates>
			</td>
			<td class="input-block">
				<xsl:apply-templates select="CONTROL[@NAME='userPassword']" mode="control">
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="type">password</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
		
		<tr id="rowPasswordConfirm">
			<td class="title-block">
				<xsl:apply-templates select="CONTROL[@NAME='userConfirmPassword']" mode="label">
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="type">password</xsl:with-param>
				</xsl:apply-templates>
			</td>
			<td class="input-block">
				<xsl:apply-templates select="CONTROL[@NAME='userConfirmPassword']" mode="control">
					<xsl:with-param name="require">true</xsl:with-param>
					<xsl:with-param name="type">password</xsl:with-param>
				</xsl:apply-templates>
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>	